For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Truework.comAPI StatusGet your API key
HomeGuidesAPI referenceHelp
HomeGuidesAPI referenceHelp
    • Introduction
  • Using the API
    • Authentication
    • Versioning
    • Webhooks
    • Sandbox environment
    • Monitoring
    • Limits
  • Verification orders & reports
    • POSTCreate a target employer order
    • POSTCreate an employer search order
    • POSTCreate a Truework Direct order
    • GETGet one order
    • GETGet all orders
    • PUTCancel an order
    • GETGet one report
    • GETGet order events
    • POSTReverify a report
  • Public beta APIs
      • POSTCreate a tenant property
      • GETGet one tenant property
      • GETGet all tenant properties
      • PUTUpdate one tenant property
  • Previous API versions
    • API version 2022-08-01
    • API version 2020-12-07
    • API version 2019-10-15
LogoLogo
Truework.comAPI StatusGet your API key
Public beta APIsTenant properties (beta)

Update one tenant property

Beta
PUT
/tenant-properties/:tenant_property_id
PUT
/tenant-properties/:tenant_property_id
$curl -X PUT https://api.truework-sandbox.com/tenant-properties/tenant_property_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Management Solutions"
>}'
1{
2 "address_line_1": "1234 Fake Street",
3 "address_line_2": "Suite 100",
4 "address_line_3": "Building A",
5 "city": "San Francisco",
6 "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31",
7 "name": "Management Solutions",
8 "postal_code": "94107",
9 "state": "CA",
10 "status": "active"
11}
Updates a tenant property.
Was this page helpful?
Previous

API version 2022-08-01

Next
Built with

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Path parameters

tenant_property_idstringRequired
Tenant Property ID

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Request

namestringRequired
address_line_1string or nullOptional
address_line_2string or nullOptional
address_line_3string or nullOptional
citystring or nullOptional
postal_codestring or nullOptional
statestring or nullOptional

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

Tenant Property
address_line_1string or null
address_line_2string or null
address_line_3string or null
citystring or null
idstring
namestring
postal_codestring or null
statestring or null
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error

Bearer tokens conform to the RFC6750 spec.

Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.

Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.

Examples

  • For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
  • For the “try it now” token field, input only the token itself, omitting Bearer .

For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures